aboutsummaryrefslogtreecommitdiff
path: root/libs_network/libesmtp/libesmtp.SlackBuild
diff options
context:
space:
mode:
authorDeposite Pirate2018-09-16 18:48:36 +0200
committerDeposite Pirate2018-09-16 18:48:36 +0200
commitd150a5f3e462fa7fe194a805a4aa0076f4d03ab9 (patch)
treece5e44d69c5f3175bfdbd1e3717b52c5dcca5638 /libs_network/libesmtp/libesmtp.SlackBuild
parentf29d3519ce073ec30f99754d93304324f7f26d65 (diff)
Add ports.
Diffstat (limited to 'libs_network/libesmtp/libesmtp.SlackBuild')
-rwxr-xr-xlibs_network/libesmtp/libesmtp.SlackBuild80
1 files changed, 80 insertions, 0 deletions
diff --git a/libs_network/libesmtp/libesmtp.SlackBuild b/libs_network/libesmtp/libesmtp.SlackBuild
new file mode 100755
index 0000000..2488d97
--- /dev/null
+++ b/libs_network/libesmtp/libesmtp.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=libesmtp
+VERSION=1.0.3r1
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.bz2
+REPOSITORY=http://www.stafford.uklinux.net/libesmtp
+FLAGS="-O2 -march=pentium -mcpu=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar jxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure --prefix=/usr
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libesmtp: LibESMTP
+libesmtp:
+libesmtp: LibESMTP is a library to manage posting (or submission of) electronic
+libesmtp: mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
+libesmtp: Exim or Postfix. It may be used as part of a Mail User Agent (MUA) or
+libesmtp: another program that must be able to post electronic mail but where
+libesmtp: mail functionality is not the program's primary purpose. LibESMTP is
+libesmtp: not intended to be used as part of a program that implements a Mail
+libesmtp: Transport Agent.
+libesmtp:
+libesmtp:
+EOF
+
+cat > $PKG/install/slack-required <<EOF
+openssl-solibs >= 0.9.7d-i486-1
+EOF
+
+install -m644 -g0 -o0 AUTHORS ChangeLog NEWS Notes README TODO \
+ $PKG/usr/doc/$NAME-$VERSION
+
+gzip -9nf $PKG/usr/doc/$NAME-$VERSION/ChangeLog
+
+rm -f $PKG/usr/lib/esmtp-plugins/*.a
+rm -f $PKG/usr/lib/esmtp-plugins/*.la
+strip --strip-unneeded $PKG/usr/lib/esmtp-plugins/*.so
+
+chown -R root.root $PKG
+chown root.bin $PKG/usr/bin $PKG/usr/bin/*
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz